/* PrismJS 1.29.0
https://prismjs.com/download.html#themes=prism-tomorrow&languages=markup+css+clike+javascript+bash+diff+elixir+go+haskell+ocaml+python+ruby+rust+typescript&plugins=line-highlight+line-numbers+autoloader+normalize-whitespace+treeview */
code[class*='language-'],
pre[class*='language-'] {
  color: var(--text);
  background: var(--bg-layer-2);
  font-family: var(--font-mono);
  font-size: 0.9em;
  text-align: left;
  white-space: pre;
  word-spacing: normal;
  word-break: normal;
  word-wrap: normal;
  line-height: 1.4;
  -moz-tab-size: 4;
  -o-tab-size: 4;
  tab-size: 4;
  -webkit-hyphens: none;
  -moz-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}
.serif code[class*='language-'],
.serif pre[class*='language-'] {
  font-size: 0.8em;
}
.sans code[class*='language-'],
.sans pre[class*='language-'] {
  font-size: 0.85em;
}
pre[class*='language-'] {
  padding: 1em 1.25em;
  margin: 0.5em 0 1.5em 0;
  overflow: auto;
}
:not(pre) > code[class*='language-'],
pre[class*='language-'] {
  background: var(--bg-layer-2);
  border-radius: var(--border-radius);
}
:not(pre) > code[class*='language-'] {
  padding: 0.1em;
  border-radius: 0.3em;
  white-space: normal;
}
.token.block-comment,
.token.cdata,
.token.comment,
.token.doctype,
.token.prolog {
  color: var(--text-faint);
}
.token.punctuation {
  color: var(--text);
}
.token.attr-name,
.token.namespace,
.token.tag {
  color: var(--text);
}
.token.function,
.token.function-name {
  color: var(--prism-function);
}
.token.boolean,
.token.constant,
.token.number {
  color: var(--prism-primitive);
}
.token.class-name,
.token.symbol {
  color: var(--prism-class);
}
.token.property {
  color: var(--text);
}
.token.atrule,
.token.builtin,
.token.important,
.token.keyword,
.token.selector {
  color: var(--prism-keyword);
}
.token.attr-value,
.token.char,
.token.regex,
.token.string,
.token.variable {
  color: var(--prism-string);
}
.token.entity,
.token.operator,
.token.url {
  /* color: #67cdcc; */
  color: var(--prism-operator);
}
.token.bold,
.token.important {
  font-weight: 700;
}
.token.italic {
  font-style: italic;
}
.token.entity {
  cursor: help;
}
.token.deleted {
  color: var(--prism-deleted);
}
.token.inserted {
  color: var(--prism-inserted);
}
pre[data-line] {
  position: relative;
  padding: 1em 0 1em 3em;
}
.line-highlight {
  position: absolute;
  left: 0;
  right: 0;
  padding: inherit 0;
  margin-top: 1em;
  background: hsla(24, 20%, 50%, 0.08);
  background: linear-gradient(
    to right,
    hsla(24, 20%, 50%, 0.1) 70%,
    hsla(24, 20%, 50%, 0)
  );
  pointer-events: none;
  line-height: inherit;
  white-space: pre;
}
@media print {
  .line-highlight {
    print-color-adjust: exact;
    -webkit-print-color-adjust: exact;
  }
}
.line-highlight:before,
.line-highlight[data-end]:after {
  content: attr(data-start);
  position: absolute;
  top: 0.4em;
  left: 0.6em;
  min-width: 1em;
  padding: 0 0.5em;
  background-color: hsla(24, 20%, 50%, 0.4);
  color: #f4f1ef;
  font: bold 65%/1.5 sans-serif;
  text-align: center;
  vertical-align: 0.3em;
  border-radius: 999px;
  text-shadow: none;
  box-shadow: 0 1px #fff;
}
.line-highlight[data-end]:after {
  content: attr(data-end);
  top: auto;
  bottom: 0.4em;
}
.line-numbers .line-highlight:after,
.line-numbers .line-highlight:before {
  content: none;
}
pre[id].linkable-line-numbers span.line-numbers-rows {
  pointer-events: all;
}
pre[id].linkable-line-numbers span.line-numbers-rows > span:before {
  cursor: pointer;
}
pre[id].linkable-line-numbers span.line-numbers-rows > span:hover:before {
  background-color: rgba(128, 128, 128, 0.2);
}
pre[class*='language-'].line-numbers {
  position: relative;
  padding-left: 3.8em;
  counter-reset: linenumber;
}
pre[class*='language-'].line-numbers > code {
  position: relative;
  white-space: inherit;
}
.line-numbers .line-numbers-rows {
  position: absolute;
  pointer-events: none;
  top: 0;
  font-size: 100%;
  left: -3.8em;
  width: 3em;
  letter-spacing: -1px;
  /* border-right: 1px solid #999; */
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.line-numbers-rows > span {
  display: block;
  counter-increment: linenumber;
}
.line-numbers-rows > span:before {
  content: counter(linenumber);
  color: var(--text-faint);
  display: block;
  padding-right: 0.8em;
  text-align: right;
}
